ADSys: adsysd(1)

NAME
adsysd-completion-zsh - Generate the autocompletion script for zsh

SYNOPSIS
adsysd completion zsh [flags]

DESCRIPTION
Generate the autocompletion script for the zsh shell.

If shell completion is not already enabled in your environment you will need to enable it. You can execute the following once:

    echo "autoload -U compinit; compinit" >> ~/.zshrc

To load completions in your current shell session:

    source <(adsysd completion zsh)

To load completions for every new session, execute once:

  Linux:
    adsysd completion zsh > "${fpath[1]}/_adsysd"

  macOS:
    adsysd completion zsh > $(brew --prefix)/share/zsh/site-functions/_adsysd

You will need to start a new shell for this setup to take effect.

OPTIONS
-h, --help[=false]
    help for zsh

--no-descriptions[=false]
    disable completion descriptions

OPTIONS INHERITED FROM PARENT COMMANDS
--ad-backend="sssd"
    Active Directory authentication backend

--cache-dir="/var/cache/adsys"
    directory where ADSys caches GPOs downloads and policies.

-c, --config=""
    use a specific configuration file

--gpo-list-timeout=10
    time in seconds for the GPO list. 0 for no timeout.

--run-dir="/run/adsys"
    directory where ADSys stores transient information erased on reboot.

-s, --socket="/run/adsysd.sock"
    socket path to use between daemon and client. Can be overridden by systemd socket activation.

--sssd.cache-dir="/var/lib/sss/db"
    SSSd cache directory

--sssd.config="/etc/sssd/sssd.conf"
    SSSd config file path

-t, --timeout=120
    time in seconds without activity before the service exists. 0 for no timeout.

-v, --verbose[=0]
    issue INFO (-v), DEBUG (-vv) or DEBUG with caller (-vvv) output

SEE ALSO
adsysd-completion(1)

HISTORY
13-Mar-2026 Auto generated by spf13/cobra